﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using MySql.Data.MySqlClient;

namespace ogrenciotomasyonu
{
    public partial class Form2 : Form
    {
        MySqlDataAdapter da;
        DataTable dt1;
        public Form2(MySqlConnectionStringBuilder bag)
        {
            InitializeComponent();

            MySqlConnection conn = new MySqlConnection(bag.ToString());

            MySqlCommand cmd_sel = new MySqlCommand("select idharf,harf,deger from harf",conn);
            MySqlCommand cmd_update = new MySqlCommand("update harf set deger=@deger where idharf=@idharf",conn);
            cmd_update.Parameters.Add("@deger", MySqlDbType.Int32, 11, "deger");
            cmd_update.Parameters.Add("@idharf", MySqlDbType.Int32, 11, "idharf");

            da = new MySqlDataAdapter();
            da.SelectCommand = cmd_sel;
            da.UpdateCommand = cmd_update;

            DataTable dt = new DataTable();
            da.Fill(dt);

            dataGridView1.DataSource = dt;

            dt1 = new DataTable();
            da.Fill(dt1);
            
            // datagrid ayarlari
            dataGridView1.Columns[0].Visible = false; // kolonu gorunmez yapar
            dataGridView1.Columns[1].HeaderText = "Harf";
            dataGridView1.Columns[2].HeaderText = "Harf Değeri";
            dataGridView1.Columns[1].ReadOnly = true; // kolonun duzenlemesini pasif hale getirir
            dataGridView1.AllowUserToAddRows = false; // kullanici yeni satir ekleyemez
            dataGridView1.AllowUserToDeleteRows = false; // kullanici satir silemez


        }

        private void kapat_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void dataGridView1_CellEndEdit(object sender, DataGridViewCellEventArgs e)
        {
            DataRow dr = dt1.Rows[e.RowIndex]; // degisen satiri aldik
            dr["deger"] = dataGridView1.Rows[e.RowIndex].Cells[e.ColumnIndex].Value;
            da.Update(dt1);

        }
    }
}
